Subject: [Megaco] H.248.9 aasrec package - Record termination due to endchar

From: Rajesh N <[email-masked]>
Date: Thu, 11 Oct 2007 16:27:55 +0530

Hi,
 
H.248.9 aasrec package defines the functional elements (properties, events,
signals and statistics) to facilitate recording of user input in
audio-visual (multimedia) systems.
 
As per aasrec/precucc event specification, if the "Recording result"
parameter's value is "keyend", it means that the recording is terminated due
to user pressing keys matching the Return Key command sequence. The
definition of "ReturnKey" parameter also specifies that "any speech recorded
to this point is deleted". 
 
This point is also specified by the definition of "keyend" value for
recording result parameter in the "Play record success" event. It says "No
recorded audio has been retained".
 
I could not understand why the recorded content is deleted if the recording
is terminated by the user pressing an end-key sequence. Doesn't many
recording applications (like Voicemail) say, press "Record the new greeting
and press # to end the recording" .. Translating to aasrec/playrec signal
terms, "#" becomes the returnkey sequence. But if the user presses # after
saying"Hello John, I just called up to wish you a good day", the message
does not get saved.
 
Also, the W3C VoiceXML language, which facilitates voice application
development, provides a "termchar" property to specify a record termination
character and "dtmfterm" attribute for <record> element to enable
termination of recording through the termkey. Here too, applications
normally are able to retrieve the recorded content through the URI specified
by recording id.
 
Could someone please explain why does the H.248.9 specification mention that
the recorded message is deleted in this case?
 
Thanks
Rajesh
 
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Tue, 16 Oct 2007 11:19:20 +1000

Hello Rajesh,

The lastest Amendment of H.248.9 
(http://www.itu.int/rec/T-REC-H.248.9/recommendation.asp?lang=en&parent=T-REC-H.248.9-200708-P!Amd1)

AASREC v2 adds to codepoints to the Recording Result. ie:
"endinput" (3): the EndInput Key command key sequence was detected. A 
temporary audio segment has been recorded.
"endinput_norecord" (4): the EndInput Key command key sequence was 
detected. No temporary audio has been recorded.

So now the latest Amendment  allows a recording to be saved based on an 
end input key. Why the original version didn't contain this possibility 
I don't have an answer.

Regards,  Christian

Rajesh N wrote:
> Hi,
>  
> H.248.9 aasrec package defines the functional elements (properties, 
> events, signals and statistics) to facilitate recording of user input 
> in audio-visual (multimedia) systems.
>  
> parameter's value is "keyend", it means that the recording is 
> terminated due to user pressing keys matching the Return Key command 
> sequence. The definition of "ReturnKey" parameter also specifies that 
> "any speech recorded to this point is deleted".
>  
> recording result parameter in the "Play record success" event. It says 
> "No recorded audio has been retained".
>  
> I could not understand why the recorded content is deleted if the 
> recording is terminated by the user pressing an end-key sequence. 
> Doesn't many recording applications (like Voicemail) say, press 
> *"Record* the new greeting and *press # to end the recording" ..* 
> Translating to aasrec/playrec signal terms, "#" becomes the returnkey 
> sequence. But if the user presses # after saying"Hello John, I 
> just called up to wish you a good day", the message does not get saved.
>  
> development, provides a "termchar" property to specify a record 
> termination character and "dtmfterm" attribute for <record> element to 
> enable termination of recording through the termkey. Here 
> too, applications normally are able to retrieve the recorded content 
> through the URI specified by recording id.
>  
> Could someone please explain why does the H.248.9 specification 
> mention that the recorded message is deleted in this case?
>  
> Thanks
> Rajesh
>  
> ------------------------------------------------------------------------
>